using System;
using System.Collections.Generic;
using System.Text;
using System.Collections;

namespace HashtableDemo
{
   class Program
   {
      static void Main(string[] args)
      {
         Hashtable ht = new Hashtable();

         // przechowuje ulubiony kolor każdego z użytkowników
         ht.Add("Kamil", "Zielony");
         ht.Add("Jan", "Biały");
         ht.Add("Robert", "Czerwony");
         ht.Add("Marzena", "Różowy");
         ht.Add("Ania", "Żółty");

         Console.WriteLine(string.Format("W tablicy mieszającej jest {0} elementów.", ht.Count));

         foreach (string user in ht.Keys)
         {
            Console.WriteLine(string.Format("Ulubionym kolorem użytkownika {0} jest {1}.",
             user, ht[user]));
         }

         Console.WriteLine("Przechowywane kolory:");
         foreach (DictionaryEntry de in ht)
         {
            Console.WriteLine(string.Format("{0}:{1}", de.Key, de.Value));
         }

         Console.ReadLine();
      }
   }
}
